Skip to main content

GET v3/orders/:id

GET 

/v3/orders/:id

Retrieve one order by its Paxon id.

Returns a specific order by the id assigned by Paxon.

The endpoint also supports -to some degree- the inclusion of information of related resources. The resources that can be included in the response are limited to the orderItems, the deliveryAddress, the billingAddress and the pickUpPoint. To get the details of related entities the include parameter must be added to the URI in the following way:

  • GET {host}/v3/orders?include=orderItems will return for each order the list of orderItems with their details.
  • GET {host}/v3/orders?include=deliveryAddress,billingAddress,pickUpPoint will return all three types of addresses of each order if applicable. Note that the deliveryAddress and billingAddress are both of type address whereas the pickUpPoint is of type pickUpPoint.

Limitations of the GET v3/orders/:id​

  • Users are rate-limited to 1000 requests per hour on this service.

Request​

Responses​

OK